//------------
// MIT License

// Copyright (c) [2017] [ohrhahn]

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:

// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.

// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//------------
//
// ChangeLog
// 29.07.2017-ohrhahn-V2.0-The Size of the cover reduced by half

$fn= 60;
difference () {
    cube([53.8,51.2,2.2]);
    translate([0,0,-0.5]) {
        cylinder(r=2,h=3);
    }
    translate([0,51.2,-0.5]) {
        cylinder(r=2,h=3);
    }
    translate([53.8,0,-0.5]) {
        cylinder(r=2,h=3);
    }
    translate([53.8,51.2,-0.5]) {
        cylinder(r=2,h=3);
    }
    for (i= [6:12:50]) {
        translate([i,4,-0.5]) {
            minkowski() {
                cube([6,.1,2]);
                cylinder(r=.5,h=1);
            }
        }
    }
    for (i= [12:12:40]) {
        translate([i,10,-0.5]) {
            minkowski() {
                cube([6,.1,2]);
                cylinder(r=.5,h=1);
            }
        }
    }
    for (i= [12:12:40]) {
        translate([i,16,-0.5]) {
            minkowski() {
                cube([6,.1,2]);
                cylinder(r=.5,h=1);
            }
        }
    }
    for (i= [6:12:50]) {
        translate([i,47,-0.5]) {
            minkowski() {
                cube([6,.1,2]);
                cylinder(r=.5,h=1);
            }
        }
    }
    for (i= [12:12:40]) {
        translate([i,41,-0.5]) {
            minkowski() {
                cube ([6,.1,2]);
                cylinder(r=.5,h=1);
            }
        }
    }
    for (i= [12:12:40]) {
        translate([i,35,-0.5]) {
            minkowski() {
                cube([6,.1,2]);
                cylinder(r=.5,h=1);
            }
        }
    }
    translate ([10,18.5,3.1]) {
        hull () {
            translate ([0,0,-1.7]) {
                cube([1,14,2]);
            }
            translate ([16,7,13]) {
                sphere (r=15, $fn=120);
            }
        }
    }
    translate([6,8,1.5]) {
        rotate ([0,0,90]) {
            linear_extrude(height = 2, center = false, convexity = 5, twist = 0)
            text ("SmartNode V2.0", size=3, spacing=1.2);
        }
    }
}
translate([4,10,.4]) {
    sphere(r=1);
}
translate([4,40,.4]) {
    sphere(r=1);
}